package de.w665.pr.statemachine.trafficlight;

import org.springframework.stereotype.Component;

/**
 * Tracks the time, when a light switch is triggered
 */
@Component
public class TimingContext {
    private volatile long lastTransitionTime = 0;

    public void recordTransition() {
        this.lastTransitionTime = System.currentTimeMillis();
    }

    public long getLastTransitionTime() {
        return lastTransitionTime;
    }
}
